<hr>

<form method="post" action="/portal/<?= $urlSection . '/' . $action . (($action == ACT_EDIT) ? '/' . $contact['id_department_contact'] : ''); ?>">
  <input type="hidden" name="csrf-token" value="<?= $csrfToken ?>">

  <?php if ($action == ACT_EDIT): ?>
  <div class="mb-3">
    <label class="form-label">Jméno a&nbsp;příjmení</label>
    <p class="fs-6"><?= $contact['fullname'] ?></p>
  </div>
  <?php endif; ?>

  <?php $input = 'email'; ?>
  <div class="mb-3">
    <label for="<?= $formPrefix . $input ?>" class="form-label">E-mail</label>
    <input type="email" class="form-control" id="<?= $formPrefix . $input ?>" name="<?= $formPrefix . $input ?>" maxlength="<?= $inputsMaxLengths[$input] ?>" value="<?= $inputsValues[$input] ?>" required aria-describedby="<?= $input ?>Help">
    <div id="<?= $input ?>Help" class="form-text">E-mail, na který budou lokálnímu správci přicházet informace o&nbsp;blokaci nebo o&nbsp;odblokování zařízení v&nbsp;jím spravované síti.</div>
  </div>

  <div class="row">
    <?php $input = 'department-building'; ?>
    <div class="col-sm-4 col-md-4 col-lg-3 col-xl-2 mb-3">
      <label for="<?= $formPrefix . $input ?>" class="form-label">Fakulta</label>
      <input type="text" class="form-control" id="<?= $formPrefix . $input ?>" name="<?= $formPrefix . $input ?>" maxlength="<?= $inputsMaxLengths[$input] ?>" value="<?= $inputsValues[$input] ?>" required>
    </div>

    <?php $input = 'department-name'; ?>
    <div class="col-sm-4 col-md-4 col-lg-3 col-xl-2 mb-3">
      <label for="<?= $formPrefix . $input ?>" class="form-label">Katedra/oddělení</label>
      <input type="text" class="form-control" id="<?= $formPrefix . $input ?>" name="<?= $formPrefix . $input ?>" maxlength="<?= $inputsMaxLengths[$input] ?>" value="<?= $inputsValues[$input] ?>">
    </div>
  </div>

  <?php $input = 'note'; ?>
  <div class="mb-3">
    <label for="<?= $formPrefix . $input ?>" class="form-label">Poznámka (nepovinné)</label>
    <input type="text" class="form-control" id="<?= $formPrefix . $input ?>" name="<?= $formPrefix . $input ?>" maxlength="<?= $inputsMaxLengths[$input] ?>" value="<?= $inputsValues[$input] ?>" aria-describedby="<?= $input ?>Help">
    <div id="<?= $input ?>Help" class="form-text">Nepovinná poznámka k&nbsp;činnosti lokálního správce.</div>
  </div>

  <div class="text-center">
    <button type="submit" class="btn btn-primary btn-lg" name="<?= $formPrefix . $action; ?>">
      <span data-feather="save"></span>
      <?= ($action == ACT_NEW) ? 'Přidat' : 'Uložit změny'; ?>
    </button>
  </div>
</form>