<div class="card-group text-center mb-3">
  <?php
  $stepLabel = 0;

  for ($i = 0; $i < count($steps) - 1; $i++):
    $currentStep = $i + 1;
    $activeStep = ((isset($_GET['step']) && $_GET['step'] == $currentStep) || (!isset($_GET['step']) && $currentStep == 1));

    // Pokud není vyplněn rodičovský lístek, pak krok "Upozornění stěžovatele" přeskočit.
    if (empty($incident['id_parent_ticket'])) {
      if ($currentStep == 4) continue;
    }

    $stepLabel++;

    if ($activeStep) {
      $stepColor = 'primary';
    }
    else if ($currentStep < $incidentLastStep) {
      $stepColor = 'success';
    }
    else {
      $stepColor = 'secondary';
    }

    if ($currentStep < $incidentLastStep) {
      $status = 'dokončeno' . ((isset($steps[$i]['date_added'])) ? ' ' . $steps[$i]['date_added'] : '');
    }
    else if ($currentStep == $incidentLastStep) {
      $status = 'aktuální stav';
    }
    else {
      $status = 'nezahájeno';
    }
  ?>
    <div class="card bg-light step">
      <a href="/portal/<?= $urlSection . '/' . (($action == ACT_EDIT) ? $action . '/' . $incident['id_incident'] : '') . '?step=' . $currentStep ?>" class="btn btn-bg-secondary btn-lg<?= ($currentStep > $incidentLastStep) ? ' disabled' : ''; ?>">
        <span class="badge bg-<?= $stepColor ?>"><?= $stepLabel ?></span>
        <?= $steps[$i]['title'] ?>
      </a>
      <?php if ($incidentLastStep > 1): ?>
      <div class="card-footer">
        <small class="text-muted"><?= $status ?></small>
      </div>
      <?php endif; ?>
    </div>
  <?php endfor; ?>
</div>